#%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
#%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
#%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
#%endif

Name:			bonito-open
Version:		3.97.5
Release:		1%{?dist}
Summary:		Bonito is a web interface for Manatee

Group:			Applications/Text
License:		GPLv2+
URL:			http://nlp.fi.muni.cz/trac/noske/
Source0:		http://corpora.fi.muni.cz/noske/src/bonito-open/%{name}-%{version}.tar.gz

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:		noarch

BuildRequires:	python-devel
BuildRequires:	python-cheetah

Requires:               manatee-open-python >= 2.139.3
Requires:               python-cheetah >= 2.2
Requires:               python-prctl
Requires:               python-simplejson
Requires:               python-signalfd
Requires:               httpd

%description
Bonito is a graphical web interface for the Manatee corpus management system.

%package www
Summary:	Sample WWW installation of Bonito
Requires:	%{name} = %{version}-%{release}
Group:		Applications/Internet

%description www
Sample WWW installation of Bonito

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT
export MANATEE_REGISTRY=%{_localstatedir}/lib/manatee/registry
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/manatee/registry
./setupbonito %{_localstatedir}/www/bonito %{_localstatedir}/lib/bonito
sed -i 's/^\(require.*\)/#\1/I' $RPM_BUILD_ROOT%{_localstatedir}/www/bonito/.htaccess

%find_lang ske

# install Apache conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/bonito.conf <<-EOF 
	Alias /bonito /var/www/bonito
	<Directory /var/www/bonito>
		AllowOverride All
		Options +ExecCGI
		AddHandler cgi-script .cgi
	</Directory>
EOF

# install skejobserver systemd service
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system
cat > $RPM_BUILD_ROOT%{_prefix}/lib/systemd/system/skejobserver.service <<-EOF
[Unit]
Description=SketchEngine Job Server
After=network.target remote-fs.target nss-lookup.target

[Service]
Type=simple
User=apache
Group=apache
EnvironmentFile=%{_sysconfdir}/skejobserver
ExecStart=%{python_sitelib}/bonito/jobrunner.py -d \${work_dir} -n \${server_name} -p \${port} -e \${mail} -l \${log}
ExecStop=/usr/bin/kill \$MAINPID

[Install]
WantedBy=multi-user.target
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/skejobserver <<-EOF
#work_dir Use DIR as job directory, defaults to /var/lib/skejobs
#server_name  Server name, defaults to localhost
#port Server port, defaults to 8333
#mail Server admin e-mail, defaults to root@localhost
#log Logfile, defaults to stderr

work_dir="/var/lib/bonito/jobs"
server_name="localhost"
port=8333
mail="root"
log="/var/lib/bonito/jobs/jobs.log"
EOF


%post www
if [ $1 == 2 ]; then # only when updating, not installing
    service httpd reload
fi
/bin/systemctl --system daemon-reload &> /dev/null || :

%post
chmod +x  %{python_sitelib}/bonito/jobrunner.py

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ske.lang
%defattr(-,root,root,-)
%{_bindir}/setupbonito
%{_datadir}/bonito
%{python_sitelib}/bonito
%dir %{_localstatedir}/lib/bonito/
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/cache
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/options
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/subcorp
%attr(0775,root,apache) %{_localstatedir}/lib/bonito/jobs
%config(noreplace) %{_localstatedir}/lib/bonito/htpasswd
%{_localstatedir}/lib/manatee/registry/

%files www
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bonito.conf
%{_localstatedir}/www/bonito/css
%{_localstatedir}/www/bonito/js
%{_localstatedir}/www/bonito/img
%{_localstatedir}/www/bonito/misc
%{_localstatedir}/www/bonito/index.html
%{_localstatedir}/www/bonito/fonts/*
%config(noreplace) %{_localstatedir}/www/bonito/.htaccess
%config(noreplace) %{_localstatedir}/www/bonito/run.cgi
%config(noreplace) %{_sysconfdir}/skejobserver
%{_prefix}/lib/systemd/system/skejobserver.service

%changelog
* Mon Apr 10 2017 Jan Busta - 3.97.5-1
- Update to 3.97.5

* Mon Apr 03 2017 Jan Busta - 3.97.1-1
- Update to 3.97.1

* Tue Sep 13 2016 Jan Busta - 3.88.9-2
- rebuilt

* Tue Sep 13 2016 Jan Busta - 3.88.9-1
- Update to 3.88.9

* Thu Nov 12 2015 Jan Busta - 3.80.5-1
- Update to 3.80.5

* Mon Oct 05 2015 Jan Busta - 3.79-2
- rebuilt

* Mon Oct 05 2015 Jan Busta - 3.79-1
- Update to 3.79

* Wed Apr 08 2015 Jan Busta - 3.56.8-3
- rebuilt

* Wed Apr 08 2015 Jan Busta - 3.56.8-2
- rebuilt

* Wed Apr 08 2015 Jan Busta - 3.56.8-1
- Update to 3.56.8

* Wed Apr 08 2015 Jan Busta - 2.56.8-3
- rebuilt

* Wed Apr 08 2015 Jan Busta - 2.56.8-2
- rebuilt

* Wed Apr 08 2015 Jan Busta - 2.56.8-1
- Update to 2.56.8

* Tue Feb 10 2015 Jan Busta - 3.56.5-2
- rebuilt

* Thu Jan 22 2015 Jan Busta - 3.60.1-1
- Update to 3.60.1

* Thu Aug 07 2014 Jan Busta - 3.48.9-5
- rebuilt

* Thu Aug 07 2014 Jan Busta - 3.48.9-4
- rebuilt

* Thu Aug 07 2014 Jan Busta - 3.48.9-3
- rebuilt

* Thu Aug 07 2014 Jan Busta - 3.48.9-2
- rebuilt

* Thu Aug 07 2014 Vojtech Kovar,B203 Botanicka 68a 602 00 Brno,+420 724 787 606,vojtech.kovar@sketchengine.co.uk, - 3.48.9-1
- Update to 3.48.9

* Mon Aug 4 2014 Miloš Jakubíček <milos.jakubicek@sketchengine.co.uk> - 3.45.13-1
- Update to 3.45.13

* Mon Jul 28 2014 Miloš Jakubíček <milos.jakubicek@sketchengine.co.uk> - 3.45.12-1
- Update to 3.45.12

* Tue Jul 01 2014 Miloš Jakubíček <milos.jakubicek@sketchengine.co.uk> - 3.45.11-1
- Update to 3.45.11

* Sun Jun 29 2014 Miloš Jakubíček <milos.jakubicek@sketchengine.co.uk> - 3.45.10-1
- Update to 3.45.10

* Mon Jun 09 2014 Miloš Jakubíček <milos.jakubicek@sketchengine.co.uk> - 3.38.8-1
- Update to 3.38.8

* Wed Apr 06 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.68-1
- Update to 2.68

* Thu Mar 03 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.64.5-1
- Update to 2.64.5 (fix wordlist)

* Mon Feb 28 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.64.4-1
- Update to 2.64.4
- Change bonito2 dir to /var/lib/bonito2
- Change manatee dir to /var/lib/manatee
- Fix BR: manatee-python to manatee-open-python

* Tue Feb 08 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.62.3-1
- Update to 2.62.3

* Sat Oct 30 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.59.1-1
- Update to 2.59.1
- Replace %%{_localstatedir}/lib with %%{_localstatedir}/lib since
  the former one evaluates to %%{prefix}/com on EPEL5

* Wed Oct 13 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 2.57.15-1
- Update to 2.57.15

* Thu Apr 22 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.11-1
- Update to 2.55.11

* Wed Apr 21 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.4-2
- Move to /var/www/bonito2

* Thu Apr 15 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.55.4-1
- Update to 2.55.4

* Fri Apr 09 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.54-1
- Update to 2.54

* Fri Apr 09 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.53.3-1
- Update to 2.53.3
- Drop all patches (merged upstream)
- Fix permissions for apache on /var/www/html/ske
- Split www files into a -www subpackage

* Wed Jan 13 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 1.41.6-1
- Update to 1.41.6
- Proper DESTDIR in setupbonito2

* Tue Dec 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.41.1-1
- Update to 1.41.1
- Use XZ for sources compression

* Sun Jul 26 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.34-2
- Added R: manatee-python instead of manatee

* Sat Jun 20 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 1.34-1
- Initial package
